%define version	0.2.2
%define release	%mkrel 2

%define scim_version		1.4.5
%define m17n_lib_version	1.3.0

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-m17n
Summary:	A wrapper for m17n
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.net/projects/scim/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}
Requires:			m17n-lib >= %{m17n_lib_version}
Requires:			scim >= %{scim_version}
BuildRequires:		m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake, libltdl-devel

%description
A wrapper for m17n.


%package -n	%{libname}
Summary:	Scim-m17n library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Scim-m17n library.


%prep
%setup -q

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%scim_plugins_dir/IMEngine/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%scim_plugins_dir/IMEngine/*.so


%changelog
* Tue Sep 25 2007 Funda Wang <fundawang@mandriva.org> 0.2.2-2mdv2008.0
+ Revision: 92763
- use scim macros
- use bootstrap


* Wed Feb 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 123187
- new release (utumi)

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-1mdv2007.1
+ Revision: 66011
- Import scim-m17n

* Thu Oct 12 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-1mdv2007.0
- new release

* Tue Feb 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- this release supports extended features in m17n-lib-1.3.0,
- so I changed m17n_lib_version

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.4-5mdk
- fix requires being "m17n-lib-devel >= %%{m17n-lib_version}"

* Wed Jul 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.4-4mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.4-3mdk
- Rebuild for new scim ( 1.3.1 )

* Sat Jun 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.4-2mdk
- rebuild for new scim

* Sun Apr 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-0.cvs20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-0.cvs20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-0.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Tue Aug 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-1mdk
- new release
- add Requires: m17n-db

* Tue Aug 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release
- bump scim buildrequires

* Mon Jul 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.1-2mdk
- add BuildRequires: libltdl-devel

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Tue Jun 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk

